Subject: Re: bug#68467: 29.1; Fringe fonts + hidpi

From: Samuel Kyletoft <[email-masked]>
Date: Mon, 22 Jan 2024 14:29:29 +0100

And then I realise that I don't get an automatic signature. That was
rude. Sorry.

Samuel Kyletoft

On Mon, 22 Jan 2024 at 14:28, Samuel Kyletoft <[email-masked]> wrote:
>
> I had a very vim-mindset when writing the initial report and didn't
> even consider that it could be an image rather than a character
> in a custom font. But yes, I guess I do mean the bitmaps. But setting
> `(set-face-attribute 'fringe nil :font "Cascadia Code" :height 220)`
> will scale it correctly, so it can scale it if set explicitly, it just won't
> do it automatically.
>
> On Sat, 20 Jan 2024 at 11:29, Po Lu <[email-masked]> wrote:
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > >> From: Samuel Kyletoft <[email-masked]>
> > >> Date: Mon, 15 Jan 2024 06:49:56 +0100
> > >>
> > >> I use Emacs at 200% on xwayland in GNOME. Most things respect the 200%
> > >> scaling without any configuration, but not the fringe font. See
> > >> attached screenshots at 100% and 200% scale.
> > >> To reproduce: Open Emacs on a 200% monitor, use any package that
> > >> annotates the fringe.
> > >
> > > Po Lu, any suggestions?
> > >
> > > Thanks.
> >
> > What is the "fringe font" in this context?  If by that you (Samuel) mean
> > the size of individual fringe bitmaps, then the reason it cannot scale
> > is that the code for magnifying fringe bitmaps by the display scale
> > factor has yet to be written.  PGTK and NS builds are unaffected by this
> > deficiency because the toolkit assumes responsibility for doing so.
> >
> > Thanks.